Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type DiscriminatorValue

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface DiscriminatorValue

Is used to specify the value of the discriminator column for entities of the given type. The `DiscriminatorValue` annotation can only be specified on a concrete entity class. If the `DiscriminatorValue` annotation is not specified and a discriminator column is used, a provider-specific function will be used to generate a value representing the entity type. If the `DiscriminatorType` is `STRING`, the discriminator value default is the entity name.

The inheritance strategy and the discriminator column are only specified in the root of an entity class hierarchy or subhierarchy in which a different inheritance strategy is applied. The discriminator value, if not defaulted, should be specified for each entity class in the hierarchy.

        Example:

        @Entity
        @Table(name="CUST")
        @Inheritance(strategy=SINGLE_TABLE)
        @DiscriminatorColumn(name="DISC", discriminatorType=STRING,length=20)
        @DiscriminatorValue("CUSTOMER")
        public class Customer { ... }

        @Entity
        @DiscriminatorValue("VCUSTOMER")
        public class ValuedCustomer extends Customer { ... }

Since:
  Java Persistence 1.0

Required Element Summary
`String` | `value` (Optional) The value that indicates that the row is an entity of the annotated entity type.

Element Detail

### value

    public abstract String value

  (Optional) The value that indicates that the row is an entity of the annotated entity type.

  If the `DiscriminatorValue` annotation is not specified and a discriminator column is used, a provider-specific function will be used to generate a value representing the entity type. If the DiscriminatorType is `STRING`, the discriminator value default is the entity name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature

Copyright 2006 Sun Microsystems, Inc. All rights reserved.